スマートコネクト マネージドサーバ

ユーザーサポートサイト>お知らせ>新着情報>PHP 提供バージョンの変更についてのお知らせ

PHP 提供バージョンの変更についてのお知らせ

更新日:2016.04.18

平素は「マネージドサーバ」をご利用いただきまして、誠に有難うございます。
(近日、サービス開通予定のお客様にもご案内させて頂いております。)

 マネージドサーバでは、PHPの提供バージョンとして下記のバージョンがご利用可能でしたが、セキュリティ対策として提供バージョンの変更をさせて頂きます。

 先日も提供バージョン変更のご連絡をさせていただきましたが、セキュリティ対策となりますので、何卒ご理解頂きますよう宜しくお願い申し上げます。

1.バージョン変更実施日時

  • 平成28年4月18日(月) :新提供バージョンの提供開始日
  • 平成28年5月18日(水) :新提供バージョンのみへの切替日

    (※平成28年4月18日(月)~平成28年5月18日(水)の間は現提供バージョンと新提供バージョンの並行提供期間となります。)

2.工事内容

PHPの提供バージョンの変更

  • 現提供バージョン:5.3.29 / 5.4.45 / 5.5.32
  • 新提供バージョン:5.3.29 / 5.4.45 / 5.5.34
    ※5.3.29、5.4.45については、変更ございません。

本日から、バージョン変更切替日まで、現提供バージョンと新提供バージョンを両方ご利用できる状態となっております。
  
5.にもありますように平成28年5月18日(水)までに動作確認を行っていただきますようお願い申し上げます。

3.対象サーバ

マネージドサーバをご利用の全てのお客様

4.変更に伴うお客様への影響

バージョン変更実施時(平成28年5月18日(水))に新提供バージョンをご指定されていない場合は、大変勝手ながら以下バージョンを利用する設定に変更させて頂きます。

【変更されるPHPバージョン】

  • 5.3.29(※変更ございません。)
  • 5.4.45(※変更ございません。)
  • 5.5.32 → 5.5.34

5.お客様へのお願い事項

PHPのバージョン変更に関しましては、お客様プログラムの動作に影響が生じる場合があるため、PHPをご利用のお客様は、切替日(平成28年5月18日(水))までに必ず動作のご確認を頂きますようお願い申し上げます。
なお、切替日以降の旧提供バージョンへ変更等の対処はできかねますので、
何卒ご理解頂きますようお願いいたします。

6.動作確認について

バージョン変更によりお客様プログラムの動作に影響を及ぼす可能性も考えられますので、必ずバージョン変更切替日までにステージング機能やPHPバージョン切替機能などを活用し、お客様にて新提供バージョンでの動作をご確認いただきますようお願いいたします。

7.コマンドライン版phpのご利用について

コマンドライン版phpをご利用のお客様は平成28年5月18日(水)に新バージョンへ変更となりますので、予めご了承ください。

【パス指定方法: マイナーバージョンパス】
 /usr/local/php-(マイナーバージョン番号)/bin/

 PHP5.3系 /usr/local/php-5.3/bin/
 PHP5.4系 /usr/local/php-5.4/bin/
 PHP5.5系 /usr/local/php-5.5/bin/

【複数のphpバージョンが共存する期間のバージョンについて】
phpの新バージョン(例:5.5.34)を追加する場合、現バージョン(例:5.5.32)、新バージョン(例:5.5.34)が共存する期間がございますが、その場合のマイナーバージョンパスは、これまでご利用の現バージョン(5.5.32)となります。

平成28年5月18日(水)に古いバージョンは削除されますが、そのタイミングでマイナーバージョンパスは新しいバージョン(5.5.34)に自動的に切り替わります。

なお、バージョン共存期間中は、フルバージョンパス(/usr/local/php-5.5.34/bin)を指定することで、新バージョンのphpが利用可能です。
並行提供期間の動作確認にご利用ください。

8.参考

PHP5.5.34の変更点に関しての詳細は以下のサイトをご参照ください。
http://php.net/ChangeLog-5.php#5.5.34